Subject: bug#6076: 23.1.96; [PATCH] rcirc-complete for nicks and commands

From: Leo <[email-masked]>
Date: Mon, 03 May 2010 18:45:40 +0100

On 2010-05-03 17:37 +0100, Stefan Monnier wrote:
>> The attached patch replaces rcirc-complete-nick with rcirc-complete that
>> completes both nicks and user commands. User command completion is only
>> done after '/'.
>
> Please try and make it use completion-at-point-functions.
>

I thought of this before making the patch.

rcirc has a very simple completion interface that doesn't get in the
way. It cycles through completions if any. No popup windows no
minibuffer messages etc. I have found that excellent for ircing. Do you
think we should force it into the completion at point framework?

>         Stefan

Leo